Description

Associated revisions

Revision f3231f62 - 04/22/2021 08:27 AM - Amit Upadhye

Fixes #31790 - always delegate bootserver IP resolution to smart proxy

In 60c03b6a2e92c432ee66f2b27da634954c1b646c (reverse) DNS search for TFTP

server (bootServer) was delegated to the Smart Proxy if was supported, as

signaled via the dhcp_filename_hostname capability. At the same time, in

Foreman 2.0, the fallback support was deprecated. This drops the compatibility

code.

History

#1 - 02/02/2021 02:37 PM - Amit Upadhye

- Subject changed from Clean up deprecation for 2.5-develop to Update deprecation for 2.5-develop

#2 - 02/02/2021 02:41 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8303 added

#3 - 02/03/2021 01:56 PM - Amit Upadhye

- Subject changed from Update deprecation for 2.5-develop to Error out if boot server is not detected

#4 - 02/08/2021 12:12 PM - Amit Upadhye

- Subject changed from Error out if boot server is not detected to always delegate bootserver IP resolution to smart proxy

#5 - 04/22/2021 08:27 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#6 - 04/22/2021 09:01 AM - Amit Upadhye

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|f3231f62e600db1a1616c1bdf9c5fa8aed5e27ee.

#7 - 05/05/2021 02:49 PM - Tomer Brisker

- Category set to Smart Proxy
